Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.bcpg.sig
Class SignatureExpirationTime

    java.lang.Object
      org.bouncycastle.bcpg.SignatureSubpacket
          org.bouncycastle.bcpg.sig.SignatureExpirationTime

    public class SignatureExpirationTime

extends SignatureSubpacket

packet giving signature expiration time.

Field Summary

Fields inherited from class org.bouncycastle.bcpg.SignatureSubpacket
`data`

Constructor Summary
`SignatureExpirationTime(boolean critical, byte[] data)`
`SignatureExpirationTime(boolean critical, long seconds)`

Method Summary
`long` `getTime()` return time in seconds before signature expires after creation time.
`protected static byte[]` `timeToBytes(long t)`

Methods inherited from class org.bouncycastle.bcpg.SignatureSubpacket
`encode, getData, getType, isCritical`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureExpirationTime

    public SignatureExpirationTime(boolean critical,
                                   byte[] data)

### SignatureExpirationTime

    public SignatureExpirationTime(boolean critical,
                                   long seconds)

Method Detail

### timeToBytes

    protected static byte[] timeToBytes(long t)

### getTime

    public long getTime()

  return time in seconds before signature expires after creation time.

Bouncy Castle Cryptography Library 1.45